Index: plugins/ao/.cvsignore
===================================================================
--- plugins/ao/.cvsignore	(revision 2802)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile.conf
-*.dll
Index: plugins/ao/Makefile
===================================================================
--- plugins/ao/Makefile	(revision 5851)
+++ plugins/ao/Makefile	(revision 0)
@@ -1,28 +1,14 @@
 TARGET=libroar.so
-OBJ=ao_roar.o
-
-include ../../Makefile.conf
-include ../../Makefile.inc
-include Makefile.conf
-
-#DEFINES=-DDEBUG
-CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) -I../../include $(DEFINES) $(HAVE_MATRIX) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(AO_CFLAGS)
-LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../../lib
-LIBS    = $(LIBROAR) $(AO_LIBS)
 
 all: ${TARGET}
 clean:
-	rm -f ${TARGET} *.o tests tests.c
+	rm -f ${TARGET} tests tests.c
 new: clean all
 
 install: libroar.so
-	mkdir -p ${DESTDIR}${INSTALL_DIR}
-	cp libroar.so ${DESTDIR}${INSTALL_DIR}
-semi-install: libroar.so
-	mkdir -p ${DESTDIR}${INSTALL_DIR}
-	ln -fs `pwd`/libroar.so ${DESTDIR}${INSTALL_DIR}
+	cp libroar.so ${INSTALL_DIR}
 
-libroar.so: $(OBJ)
-	$(CC) $(LDFLAGS) -Wl,-soname,libroar.so -o libroar.so $(OBJ) $(LIBS)
+libroar.so: ao_roar.c
+	cc -shared -lroar -o libroar.so ao_roar.c
 
 ao_roar.c:
Index: plugins/ao/README
===================================================================
--- plugins/ao/README	(revision 3232)
+++ plugins/ao/README	(revision 0)
@@ -2,5 +2,5 @@
          -------------------------------------------
 
-Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2010
+Copyright (C) Philipp 'ph3-der-loewe' Schafft - May 2008
 based on ao_esd.c of libao by Stan Seibert - July 2000, July 2001
 
Index: plugins/ao/ao_roar.c
===================================================================
--- plugins/ao/ao_roar.c	(revision 6052)
+++ plugins/ao/ao_roar.c	(revision 0)
@@ -3,5 +3,5 @@
  *  ao_roar.c
  *
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - May 2008
  *      based on ao_esd.c of libao by Stan Seibert - July 2000, July 2001
  *
@@ -11,5 +11,5 @@
  *  This file is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2, or (at your opinion)
+ *  the Free Software Foundation; either version 2, or (at your option)
  *  any later version.
  *
@@ -21,6 +21,5 @@
  *  You should have received a copy of the GNU General Public License
  *  along with GNU Make; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  */
@@ -59,5 +58,5 @@
  "Outputs to the RoarAudio Sound Daemon.",
  AO_FMT_NATIVE,
- 50,
+ 41,
  ao_roar_options,
  1
@@ -66,5 +65,5 @@
 
 typedef struct ao_roar_internal {
- struct roar_vio_calls svio;
+ int    sock;
  char * host;
 } ao_roar_internal;
@@ -120,32 +119,12 @@
 int ao_plugin_open(ao_device * device, ao_sample_format * format) {
  ao_roar_internal * internal = (ao_roar_internal *) device->internal;
-#ifdef HAVE_MATRIX
- char * map = NULL;
-#endif
 
- if ( roar_vio_simple_stream(&(internal->svio), format->rate, format->channels, format->bits,
-                             ROAR_CODEC_DEFAULT, internal->host, ROAR_DIR_PLAY, "libao client") == -1 )
+ internal->sock = roar_simple_play(format->rate, format->channels, format->bits,
+                                   ROAR_CODEC_DEFAULT, internal->host, "libao client");
+
+ if ( internal->sock == -1 )
   return 0;
 
  device->driver_byte_format = AO_FMT_NATIVE;
-
-#ifdef HAVE_MATRIX
- if( device->output_matrix != NULL )
-  free(device->output_matrix);
-
- device->output_matrix = NULL;
-
- switch (format->channels) {
-  case  1: map = "M";               break;
-  case  2: map = "L,R";             break;
-  case  3: map = "L,R,C";           break;
-  case  4: map = "L,R,BL,BR";       break;
-  case  5: map = "L,R,C,BL,BR";     break;
-  case  6: map = "L,R,C,LFE,BL,BR"; break;
- }
-
- if ( map != NULL )
-  device->output_matrix = strdup(map);
-#endif
 
  return 1;
@@ -155,5 +134,5 @@
  ao_roar_internal * internal = (ao_roar_internal *) device->internal;
 
- if (roar_vio_write(&(internal->svio), (char*)output_samples, num_bytes) == -1) {
+ if (write(internal->sock, output_samples, num_bytes) == -1) {
   return 0;
  } else {
@@ -166,5 +145,5 @@
  ao_roar_internal * internal = (ao_roar_internal *) device->internal;
 
- roar_vio_close(&(internal->svio));
+ roar_simple_close(internal->sock);
 
  return 1;
Index: plugins/ao/configure
===================================================================
--- plugins/ao/configure	(revision 4011)
+++ plugins/ao/configure	(revision 0)
@@ -1,23 +1,12 @@
 #!/bin/sh
 
-. ../configure.inc
-
 INSTALL_DIR=/usr/lib/ao/plugins-2/
-
-HAVE_ROAR=false
 
 while [ "$1" != '' ]
 do
  case "$1" in
-  --install-dir|--inst-dir)
+  --inst-dir)
    INSTALL_DIR="$2"
    shift;
-  ;;
-  --pkg-config)
-   PKG_CONFIG="$2"
-   shift;
-  ;;
-  --force-have-roar)
-   HAVE_ROAR=true
   ;;
   --help|-h)
@@ -26,10 +15,7 @@
 
 Options:
-  --help               - Show this help
-  --inst-dir DIR       - Install dir
-  --force-have-roar    - Force to assume libroar is ok
-  --pkg-config PKGCONF - Set filename for pkg-config
+  --help         - Show this help
+  --inst-dir DIR - Install dir
 EOF
-    exit 0
    ;;
   *)
@@ -40,11 +26,13 @@
 done
 
-on_error () {
- rm -f Makefile.conf
+echo -n 'testing for C compiler... '
+CC=$(which gcc cc 2> /dev/null | head -n 1)
+if [ -x "$CC" ]
+then
+ echo $CC
+else
+ echo no.
  exit 1;
-}
-
-check_cc;
-check_pkg_config;
+fi
 
 echo -n 'testing for libao... '
@@ -55,19 +43,5 @@
 EOF
 
-if [ "$PKG_CONFIG" = '' ]
-then
- AO_LIBS=''
- AO_CFLAGS=''
-else
- AO_LIBS=`pkg-config --libs ao`
- AO_CFLAGS=`pkg-config --cflags ao`
-fi
-if [ "$AO_LIBS" = '' -a "$AO_CFLAGS" = '' ]
-then
- AO_LIBS='-lao'
- AO_CFLAGS=''
-fi
-
-$CC $AO_LIBS $AO_CFLAGS -o tests tests.c 2> /dev/null
+$CC -lao -o tests tests.c 2> /dev/null
 ./tests 2> /dev/null
 
@@ -77,44 +51,30 @@
 else
  echo no.
- on_error
+ exit 1
 fi
+rm -f tests tests.c
 
-echo -n 'testing for libao to support mapping matrix... '
+echo -n 'testing for libroar... '
 cat > tests.c << EOF
-#include <ao/ao.h>
-#include <ao/plugin.h>
-int main (void) { ao_device dev = {.output_matrix = ""}; return 0; }
+#include <roaraudio.h>
+int main (void) { return 0; }
 EOF
 
-$CC $AO_LIBS $AO_CFLAGS -o tests tests.c 2> /dev/null
-R="$?"
+$CC -lroar -o tests tests.c 2> /dev/null
 ./tests 2> /dev/null
 
-HAVE_MATRIX=false
-
-if [ "$R" = '0' -a "$?" = '0' ]
+if [ "$?" = '0' ]
 then
  echo yes
- HAVE_MATRIX=true
 else
  echo no.
+ exit 1
 fi
-
-check_libroar;
-
 rm -f tests tests.c
 
-echo creating Makefile.conf...
-{
- echo "CC=$CC"
- echo "INSTALL_DIR=$INSTALL_DIR"
- echo
- echo "AO_CFLAGS=$AO_CFLAGS"
- echo "AO_LIBS=$AO_LIBS"
- echo
- $HAVE_MATRIX && echo "HAVE_MATRIX=-DHAVE_MATRIX"
-} > Makefile.conf
-
-true; # needed so return value is correct
+echo creating Makefile...
+echo "CC=$CC" > Makefile
+echo "INSTALL_DIR=$INSTALL_DIR" >> Makefile
+cat Makefile.pre >> Makefile
 
 #ll
